Index: trunk/sources/HeuristicLab.Problems.TSP/3.3/MoveEvaluators/TwoOptMoveTSPEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TSP/3.3/MoveEvaluators/TwoOptMoveTSPEvaluator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Problems.TSP/3.3/MoveEvaluators/TwoOptMoveTSPEvaluator.cs	(revision 3048)
@@ -35,27 +35,27 @@
   [StorableClass]
   public class TwoOptMoveTSPEvaluator : SingleSuccessorOperator {
-    public ILookupParameter<DoubleData> QualityParameter {
-      get { return (ILookupParameter<DoubleData>)Parameters["Quality"]; }
+    public ILookupParameter<DoubleValue> QualityParameter {
+      get { return (ILookupParameter<DoubleValue>)Parameters["Quality"]; }
     }
     public LookupParameter<TwoOptMove> MoveParameter {
       get { return (LookupParameter<TwoOptMove>)Parameters["Move"]; }
     }
-    public LookupParameter<DoubleData> MoveQualityParameter {
-      get { return (LookupParameter<DoubleData>)Parameters["MoveQuality"]; }
+    public LookupParameter<DoubleValue> MoveQualityParameter {
+      get { return (LookupParameter<DoubleValue>)Parameters["MoveQuality"]; }
     }
     public ILookupParameter<Permutation> PermutationParameter {
       get { return (ILookupParameter<Permutation>)Parameters["Permutation"]; }
     }
-    public ILookupParameter<DoubleMatrixData> CoordinatesParameter {
-      get { return (ILookupParameter<DoubleMatrixData>)Parameters["Coordinates"]; }
+    public ILookupParameter<DoubleMatrix> CoordinatesParameter {
+      get { return (ILookupParameter<DoubleMatrix>)Parameters["Coordinates"]; }
     }
 
     public TwoOptMoveTSPEvaluator()
       : base() {
-      Parameters.Add(new LookupParameter<DoubleData>("Quality", "The evaluated quality of the TSP solution."));
+      Parameters.Add(new LookupParameter<DoubleValue>("Quality", "The evaluated quality of the TSP solution."));
       Parameters.Add(new LookupParameter<TwoOptMove>("Move", "The move to evaluate."));
-      Parameters.Add(new LookupParameter<DoubleData>("MoveQuality", "Where to store the move quality."));
+      Parameters.Add(new LookupParameter<DoubleValue>("MoveQuality", "Where to store the move quality."));
       Parameters.Add(new LookupParameter<Permutation>("Permutation", "The solution as permutation."));
-      Parameters.Add(new LookupParameter<DoubleMatrixData>("Coordinates", "The city's coordinates."));
+      Parameters.Add(new LookupParameter<DoubleMatrix>("Coordinates", "The city's coordinates."));
     }
 
@@ -63,5 +63,5 @@
       TwoOptMove move = MoveParameter.ActualValue;
       Permutation permutation = PermutationParameter.ActualValue;
-      DoubleMatrixData coordinates = CoordinatesParameter.ActualValue;
+      DoubleMatrix coordinates = CoordinatesParameter.ActualValue;
       double moveQuality = QualityParameter.ActualValue.Value;
       int edge1source = permutation.GetCircular(move.Index1 - 1);
@@ -79,5 +79,5 @@
       moveQuality += CalculateDistance(coordinates[edge1target, 0], coordinates[edge1target, 1],
         coordinates[edge2target, 0], coordinates[edge2target, 1]);
-      if (MoveQualityParameter.ActualValue == null) MoveQualityParameter.ActualValue = new DoubleData(moveQuality);
+      if (MoveQualityParameter.ActualValue == null) MoveQualityParameter.ActualValue = new DoubleValue(moveQuality);
       else MoveQualityParameter.ActualValue.Value = moveQuality;
       return base.Apply();
Index: trunk/sources/HeuristicLab.Problems.TSP/3.3/TSP.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TSP/3.3/TSP.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Problems.TSP/3.3/TSP.cs	(revision 3048)
@@ -43,12 +43,12 @@
 
     #region Parameter Properties
-    public ValueParameter<BoolData> MaximizationParameter {
-      get { return (ValueParameter<BoolData>)Parameters["Maximization"]; }
+    public ValueParameter<BoolValue> MaximizationParameter {
+      get { return (ValueParameter<BoolValue>)Parameters["Maximization"]; }
     }
     IParameter ISingleObjectiveProblem.MaximizationParameter {
       get { return MaximizationParameter; }
     }
-    public ValueParameter<DoubleMatrixData> CoordinatesParameter {
-      get { return (ValueParameter<DoubleMatrixData>)Parameters["Coordinates"]; }
+    public ValueParameter<DoubleMatrix> CoordinatesParameter {
+      get { return (ValueParameter<DoubleMatrix>)Parameters["Coordinates"]; }
     }
     public ValueParameter<IPermutationCreator> SolutionCreatorParameter {
@@ -64,11 +64,11 @@
       get { return EvaluatorParameter; }
     }
-    public OptionalValueParameter<DoubleData> BestKnownQualityParameter {
-      get { return (OptionalValueParameter<DoubleData>)Parameters["BestKnownQuality"]; }
+    public OptionalValueParameter<DoubleValue> BestKnownQualityParameter {
+      get { return (OptionalValueParameter<DoubleValue>)Parameters["BestKnownQuality"]; }
     }
     #endregion
 
     #region Properties
-    public DoubleMatrixData Coordinates {
+    public DoubleMatrix Coordinates {
       get { return CoordinatesParameter.Value; }
       set { CoordinatesParameter.Value = value; }
@@ -91,5 +91,5 @@
       get { return EvaluatorParameter.Value; }
     }
-    public DoubleData BestKnownQuality {
+    public DoubleValue BestKnownQuality {
       get { return BestKnownQualityParameter.Value; }
       set { BestKnownQualityParameter.Value = value; }
@@ -106,9 +106,9 @@
       TSPRoundedEuclideanPathEvaluator evaluator = new TSPRoundedEuclideanPathEvaluator();
 
-      Parameters.Add(new ValueParameter<BoolData>("Maximization", "Set to false as the Traveling Salesman Problem is a minimization problem.", new BoolData(false)));
-      Parameters.Add(new ValueParameter<DoubleMatrixData>("Coordinates", "The x- and y-Coordinates of the cities.", new DoubleMatrixData(0, 0)));
+      Parameters.Add(new ValueParameter<BoolValue>("Maximization", "Set to false as the Traveling Salesman Problem is a minimization problem.", new BoolValue(false)));
+      Parameters.Add(new ValueParameter<DoubleMatrix>("Coordinates", "The x- and y-Coordinates of the cities.", new DoubleMatrix(0, 0)));
       Parameters.Add(new ValueParameter<IPermutationCreator>("SolutionCreator", "The operator which should be used to create new TSP solutions.", creator));
       Parameters.Add(new ValueParameter<ITSPEvaluator>("Evaluator", "The operator which should be used to evaluate TSP solutions.", evaluator));
-      Parameters.Add(new OptionalValueParameter<DoubleData>("BestKnownQuality", "The quality of the best known solution of this TSP instance."));
+      Parameters.Add(new OptionalValueParameter<DoubleValue>("BestKnownQuality", "The quality of the best known solution of this TSP instance."));
 
       creator.PermutationParameter.ActualName = "TSPTour";
@@ -131,5 +131,5 @@
       TSPLIBParser parser = new TSPLIBParser(filename);
       parser.Parse();
-      Coordinates = new DoubleMatrixData(parser.Vertices);
+      Coordinates = new DoubleMatrix(parser.Vertices);
     }
 
@@ -190,5 +190,5 @@
     }
     private void ParameterizeSolutionCreator() {
-      SolutionCreator.LengthParameter.Value = new IntData(Coordinates.Rows);
+      SolutionCreator.LengthParameter.Value = new IntValue(Coordinates.Rows);
     }
     private void ParameterizeEvaluator() {
Index: trunk/sources/HeuristicLab.Random/3.3/RandomCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Random/3.3/RandomCreator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Random/3.3/RandomCreator.cs	(revision 3048)
@@ -34,18 +34,18 @@
   [Creatable("Test")]
   public sealed class RandomCreator : SingleSuccessorOperator {
-    public ValueLookupParameter<BoolData> SetSeedRandomlyParameter {
-      get { return (ValueLookupParameter<BoolData>)Parameters["SetSeedRandomly"]; }
+    public ValueLookupParameter<BoolValue> SetSeedRandomlyParameter {
+      get { return (ValueLookupParameter<BoolValue>)Parameters["SetSeedRandomly"]; }
     }
-    public ValueLookupParameter<IntData> SeedParameter {
-      get { return (ValueLookupParameter<IntData>)Parameters["Seed"]; }
+    public ValueLookupParameter<IntValue> SeedParameter {
+      get { return (ValueLookupParameter<IntValue>)Parameters["Seed"]; }
     }
     public LookupParameter<IRandom> RandomParameter {
       get { return (LookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public BoolData SetSeedRandomly {
+    public BoolValue SetSeedRandomly {
       get { return SetSeedRandomlyParameter.Value; }
       set { SetSeedRandomlyParameter.Value = value; }
     }
-    public IntData Seed {
+    public IntValue Seed {
       get { return SeedParameter.Value; }
       set { SeedParameter.Value = value; }
@@ -54,14 +54,14 @@
     public RandomCreator()
       : base() {
-      Parameters.Add(new ValueLookupParameter<BoolData>("SetSeedRandomly", "True if the random seed should be set to a random value, otherwise false.", new BoolData(true)));
-      Parameters.Add(new ValueLookupParameter<IntData>("Seed", "The random seed used to initialize the new pseudo random number generator.", new IntData(0)));
+      Parameters.Add(new ValueLookupParameter<BoolValue>("SetSeedRandomly", "True if the random seed should be set to a random value, otherwise false.", new BoolValue(true)));
+      Parameters.Add(new ValueLookupParameter<IntValue>("Seed", "The random seed used to initialize the new pseudo random number generator.", new IntValue(0)));
       Parameters.Add(new LookupParameter<IRandom>("Random", "The new pseudo random number generator which is initialized with the given seed."));
     }
 
     public override IOperation Apply() {
-      if (SetSeedRandomlyParameter.ActualValue == null) SetSeedRandomlyParameter.ActualValue = new BoolData(true);
+      if (SetSeedRandomlyParameter.ActualValue == null) SetSeedRandomlyParameter.ActualValue = new BoolValue(true);
       bool setSeedRandomly = SetSeedRandomlyParameter.ActualValue.Value;
-      if (SeedParameter.ActualValue == null) SeedParameter.ActualValue = new IntData(0);
-      IntData seed = SeedParameter.ActualValue;
+      if (SeedParameter.ActualValue == null) SeedParameter.ActualValue = new IntValue(0);
+      IntValue seed = SeedParameter.ActualValue;
 
       if (setSeedRandomly) seed.Value = new System.Random().Next();
Index: trunk/sources/HeuristicLab.Selection/3.3/LinearRankSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/LinearRankSelector.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Selection/3.3/LinearRankSelector.cs	(revision 3048)
@@ -44,5 +44,5 @@
       IRandom random = RandomParameter.ActualValue;
       bool maximization = MaximizationParameter.ActualValue.Value;
-      ItemArray<DoubleData> qualities = QualityParameter.ActualValue;
+      ItemArray<DoubleValue> qualities = QualityParameter.ActualValue;
       IScope[] selected = new IScope[count];
 
Index: trunk/sources/HeuristicLab.Selection/3.3/ProportionalSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/ProportionalSelector.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Selection/3.3/ProportionalSelector.cs	(revision 3048)
@@ -36,9 +36,9 @@
   [Creatable("Test")]
   public sealed class ProportionalSelector : StochasticSingleObjectiveSelector {
-    private ValueParameter<BoolData> WindowingParameter {
-      get { return (ValueParameter<BoolData>)Parameters["Windowing"]; }
+    private ValueParameter<BoolValue> WindowingParameter {
+      get { return (ValueParameter<BoolValue>)Parameters["Windowing"]; }
     }
 
-    public BoolData Windowing {
+    public BoolValue Windowing {
       get { return WindowingParameter.Value; }
       set { WindowingParameter.Value = value; }
@@ -47,5 +47,5 @@
     public ProportionalSelector()
       : base() {
-      Parameters.Add(new ValueParameter<BoolData>("Windowing", "Apply windowing strategy (selection probability is proportional to the quality differences and not to the total quality).", new BoolData(true)));
+      Parameters.Add(new ValueParameter<BoolValue>("Windowing", "Apply windowing strategy (selection probability is proportional to the quality differences and not to the total quality).", new BoolValue(true)));
       CopySelected.Value = true;
     }
Index: trunk/sources/HeuristicLab.Selection/3.3/Selector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/Selector.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Selection/3.3/Selector.cs	(revision 3048)
@@ -39,9 +39,9 @@
     }
 
-    protected ValueParameter<BoolData> CopySelectedParameter {
-      get { return (ValueParameter<BoolData>)Parameters["CopySelected"]; }
+    protected ValueParameter<BoolValue> CopySelectedParameter {
+      get { return (ValueParameter<BoolValue>)Parameters["CopySelected"]; }
     }
-    public IValueLookupParameter<IntData> NumberOfSelectedSubScopesParameter {
-      get { return (ValueLookupParameter<IntData>)Parameters["NumberOfSelectedSubScopes"]; }
+    public IValueLookupParameter<IntValue> NumberOfSelectedSubScopesParameter {
+      get { return (ValueLookupParameter<IntValue>)Parameters["NumberOfSelectedSubScopes"]; }
     }
     protected ScopeParameter CurrentScopeParameter {
@@ -49,5 +49,5 @@
     }
 
-    public BoolData CopySelected {
+    public BoolValue CopySelected {
       get { return CopySelectedParameter.Value; }
       set { CopySelectedParameter.Value = value; }
@@ -59,6 +59,6 @@
     protected Selector()
       : base() {
-      Parameters.Add(new ValueParameter<BoolData>("CopySelected", "True if the selected sub-scopes should be copied, otherwise false.", new BoolData(false)));
-      Parameters.Add(new ValueLookupParameter<IntData>("NumberOfSelectedSubScopes", "The number of sub-scopes which should be selected."));
+      Parameters.Add(new ValueParameter<BoolValue>("CopySelected", "True if the selected sub-scopes should be copied, otherwise false.", new BoolValue(false)));
+      Parameters.Add(new ValueLookupParameter<IntValue>("NumberOfSelectedSubScopes", "The number of sub-scopes which should be selected."));
       Parameters.Add(new ScopeParameter("CurrentScope", "The current scope from which sub-scopes should be selected."));
     }
Index: trunk/sources/HeuristicLab.Selection/3.3/StochasticSingleObjectiveSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/StochasticSingleObjectiveSelector.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Selection/3.3/StochasticSingleObjectiveSelector.cs	(revision 3048)
@@ -33,15 +33,15 @@
   [StorableClass]
   public abstract class StochasticSingleObjectiveSelector : StochasticSelector, ISingleObjectiveSelector {
-    public IValueLookupParameter<BoolData> MaximizationParameter {
-      get { return (IValueLookupParameter<BoolData>)Parameters["Maximization"]; }
+    public IValueLookupParameter<BoolValue> MaximizationParameter {
+      get { return (IValueLookupParameter<BoolValue>)Parameters["Maximization"]; }
     }
-    public ILookupParameter<ItemArray<DoubleData>> QualityParameter {
-      get { return (ILookupParameter<ItemArray<DoubleData>>)Parameters["Quality"]; }
+    public ILookupParameter<ItemArray<DoubleValue>> QualityParameter {
+      get { return (ILookupParameter<ItemArray<DoubleValue>>)Parameters["Quality"]; }
     }
 
     protected StochasticSingleObjectiveSelector()
       : base() {
-      Parameters.Add(new ValueLookupParameter<BoolData>("Maximization", "True if the current problem is a maximization problem, otherwise false."));
-      Parameters.Add(new SubScopesLookupParameter<DoubleData>("Quality", "The quality value contained in each sub-scope which is used for selection."));
+      Parameters.Add(new ValueLookupParameter<BoolValue>("Maximization", "True if the current problem is a maximization problem, otherwise false."));
+      Parameters.Add(new SubScopesLookupParameter<DoubleValue>("Quality", "The quality value contained in each sub-scope which is used for selection."));
     }
   }
Index: trunk/sources/HeuristicLab.Selection/3.3/TournamentSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/TournamentSelector.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Selection/3.3/TournamentSelector.cs	(revision 3048)
@@ -35,10 +35,10 @@
   [Creatable("Test")]
   public sealed class TournamentSelector : StochasticSingleObjectiveSelector {
-    public ValueLookupParameter<IntData> GroupSizeParameter {
-      get { return (ValueLookupParameter<IntData>)Parameters["GroupSize"]; }
+    public ValueLookupParameter<IntValue> GroupSizeParameter {
+      get { return (ValueLookupParameter<IntValue>)Parameters["GroupSize"]; }
     }
 
     public TournamentSelector() : base() {
-      Parameters.Add(new ValueLookupParameter<IntData>("GroupSize", "The size of the tournament group.", new IntData(2)));
+      Parameters.Add(new ValueLookupParameter<IntValue>("GroupSize", "The size of the tournament group.", new IntValue(2)));
       CopySelected.Value = true;
     }
